Micromax Yureka: Indian Handset with CyanogenMod

Thesoap opera involving Cyanogen Inc., OnePlus, and Micromax is one of the most talked about … more

Chainfire Turns Your Bootanimation into a Logging Center

Having a nice boot animation certainly adds a little bit of aesthetic polish to your … more

Android TV Launcher Pushed to Google Play

Over the past decade, the tech universe has seen two drastic and widely contrasting changes with … more

Cyngn, OnePlus, Micromax – The Legal Battle

Recently, a battle has been waging in India over the rights to distribute the commercial … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[APP] Launcher3 w/ Working Landscape

OP nbehary

6th November 2013, 06:34 AM   |  #1  
OP Member
Thanks Meter: 12
 
34 posts
Join Date:Joined: Dec 2010
This is a build of Launcher3 from AOSP corrected to properly display icons and folders in Landscape. "Properly" is a bit of a misnomer. I fixed it by reducing the size of icons for Flo. I think the correct fix is deeper than that, but haven't found that yet. Anyway, it doesn't cut icons off and works pretty well.

Things to know:

- This is the 4.4 Launcher, but it is not the GEL. There is no Google Now integration at all. (and the long-press Settings icon does nothing)
- The Quick Search Bar will not display after you switch to Landscape. Pressing Home while in Landscape makes it pop up.

UPDATE: The apk linked below is more current than the one attached. It's built with no minSdk restriction and should work on 4.2 or above. (It definitely needs 4.2)

http://www.mediafire.com/?4roil3438gbz6qk
Last edited by nbehary; 17th November 2013 at 06:44 AM.
The Following 3 Users Say Thank You to nbehary For This Useful Post: [ View ]
6th November 2013, 08:51 AM   |  #2  
OP Member
Thanks Meter: 12
 
34 posts
Join Date:Joined: Dec 2010
Forgot to mention that this is built for minSdkVersion=19 (4.4) because that is what it's set to in AOSP. I don't actually know if that affects installing from an APK, but I can probably build it for 18 if anyone wants. That should work since it does for the GEL. (I know it needs 16 at least from things I noticed playing around in it)
10th November 2013, 06:19 PM   |  #3  
Junior Member
Thanks Meter: 0
 
1 posts
Join Date:Joined: Apr 2013
Talking
Quote:
Originally Posted by nbehary

Forgot to mention that this is built for minSdkVersion=19 (4.4) because that is what it's set to in AOSP. I don't actually know if that affects installing from an APK, but I can probably build it for 18 if anyone wants. That should work since it does for the GEL. (I know it needs 16 at least from things I noticed playing around in it)

Please, do it.
10th November 2013, 07:54 PM   |  #4  
OP Member
Thanks Meter: 12
 
34 posts
Join Date:Joined: Dec 2010
Quote:
Originally Posted by luffe95

Please, do it.

There's a link to an APK with no version limitation in the OP. I've been told it doesn't install on CM 10.2, but I was able to install (but not run) it on my ICS phone. (I have no devices with JB installed currently.) And again, it does absolutely need 4.2.
11th November 2013, 09:05 AM   |  #5  
drelite08's Avatar
Senior Member
Thanks Meter: 132
 
865 posts
Join Date:Joined: Nov 2010
I get there was a problem parsing the file with this.

Sent from my GT-I9300 using XDA Premium 4 mobile app
12th November 2013, 08:05 AM   |  #6  
Senior Member
Thanks Meter: 81
 
327 posts
Join Date:Joined: Apr 2012
Same.


Sent from my iPhone using Tapatalk
13th November 2013, 06:09 AM   |  #7  
OP Member
Thanks Meter: 12
 
34 posts
Join Date:Joined: Dec 2010
Quote:
Originally Posted by drelite08

I get there was a problem parsing the file with this.

Sent from my GT-I9300 using XDA Premium 4 mobile app

Quote:
Originally Posted by KingpinZero

Same.


Sent from my iPhone using Tapatalk

Sorry. Not sure what was wrong with that apk. Updated the link with one which I'm 99% sure will work, and including it below. I tested this one on my Stock 4.3 N7 and it does work. (No transparency) There's no reason it shouldn't on 4.4. It's technically modded a bit, but that's all mostly broken and disabled in this build. I'll be releasing that soon.

http://www.mediafire.com/?4roil3438gbz6qk
13th November 2013, 08:37 AM   |  #8  
Senior Member
Flag Brooklyn
Thanks Meter: 43
 
300 posts
Join Date:Joined: Dec 2012
More
Is the keyboard bug fixed?
13th November 2013, 05:42 PM   |  #9  
OP Member
Thanks Meter: 12
 
34 posts
Join Date:Joined: Dec 2010
Quote:
Originally Posted by cinco312

Is the keyboard bug fixed?

Yes, But note this has None of the Google Now Integration.

I can also confirm that the medfiafire linked APK works fine on Stock 4.4.
13th November 2013, 11:07 PM   |  #10  
Junior Member
Thanks Meter: 2
 
17 posts
Join Date:Joined: Jun 2012
Thank you very much dude!!! It was exactly what I was looking for after the 4.4 update on my nexus 7!

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes